Loading...
Searching...
No Matches
QGpgME::DeleteJob Class Referenceabstract

An abstract base class for asynchronous deleters. More...

`#include <deletejob.h>`

Inheritance diagram for QGpgME::DeleteJob:
[legend]
Collaboration diagram for QGpgME::DeleteJob:
[legend]

## Signals

void | result (const GpgME::Error &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual QGPGME_DEPRECATED GpgME::Error | start (const GpgME::Key &key, bool allowSecretKeyDeletion=false)=0
GpgME::Error | start (const GpgME::Key &key, GpgME::DeletionFlags flags)
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| DeleteJob (std::unique_ptr< DeleteJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class for asynchronous deleters.

To use a DeleteJob, first obtain an instance from the CryptoBackend implementation, connect the progress() and result() signals to suitable slots and then start the delete with a call to start(). This call might fail, in which case the DeleteJob instance will have scheduled it's own destruction with a call to QObject::deleteLater().

After result() is emitted, the DeleteJob will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## start()

virtual QGPGME_DEPRECATED GpgME::Error QGpgME::DeleteJob::start | ( | const GpgME::Key & | key,
|  | bool | allowSecretKeyDeletion = false )

pure virtual

Starts the delete operation. key represents the key to delete, allowSecretKeyDeletion specifies if a key may also be deleted if the secret key part is available, too.

Implemented in QGpgME::QGpgMEDeleteJob.

The documentation for this class was generated from the following files:

- deletejob.h
- deletejob.cpp